/**
 * @author p3ga5e
 */

THREE.Ms3dAnimation = function ( range ,fps ) 
{
	/**
	 * privates members
	 */
	var m_range = range;
	var m_fps = fps;
	var m_clock = null;
	var m_ct = 0;
	
	/**
	 * public properties
	 */
	this.Loop = true;
	this.Speed = 1.0;
	
	/**
	 * public methodes
	 */
	this.play = function(loop,speed)
	{
		this.Loop = (loop)? loop : this.Loop;
		this.Speed = (speed)? speed : this.Speed;
		if(!m_clock)
			m_clock = new THREE.Clock();
	};
	
	this.stop = function() { m_clock = null; };
	
	this.isPlaying = function() { return m_clock != null; };
	
	this.getTime = function()
	{
		if(m_clock)
		{
			m_ct = m_clock.getElapsedTime() * this.Speed;
			m_ct %= m_range[1] - m_range[0];
		}
		return m_range[0] + m_ct;
	};
	
};

